###################################################################
#  D E F A U L T    V A L U E S    F O R    A L L    S P R I N G  #
###################################################################
image:
  repository: "{{.Values.global.systemRepo }}/com-ftp"

#  image: "{{ .Values.image.repo }}/{{ .Values.image.imageName }}-core:{{ .Values.image.tag }}"

appPath: "/app"

# Default is medium size
resources:
  limits:
    cpu: 1500m
    memory: 1280Mi
  requests:
    cpu: 50m
    memory: 512Mi
    
extraEnv:
  # spring.cloud.vault.kv.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
  # spring.cloud.vault.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
  # spring.cloud.vault.uri: "{{ .Values.global.vault.vault_url }}"
  # spring.cloud.vault.kubernetes.role: vault-role
  # spring.cloud.vault.authentication: "kubernetes"
  # spring.cloud.vault.token: ""
  # spring.cloud.vault.fail-fast: "true"
  # spring.cloud.vault.enabled: "true"
  # spring.cloud.bootstrap.enabled: "true"
  vault_url:  "{{ .Values.global.vault_url}}"
  branch_name:  "{{ .Release.Name }}"
  vault_token:  "{{ .Values.global.vault_token }}"
  enable_e2e_test:  "{{ .Values.global.enable_e2e_test}}"
#  backend_url: "{{ .Values.global.backend_url}}/"
  pssecurity_url: "{{ .Values.global.pssecurity_url}}/"
  security_client: "{{ .Values.global.security_client}}"
  security_client_secret: "{{ .Values.global.security_client_secret}}"
injectRabcEnv: 
  CENTRAL_SIMULATOR_URL:  "{{ .Values.global.central_simulator_url}}/"
# extraEnvFrom: |-
#   - configMapRef:
#       name: {{ .Chart.Name }}-db-configs
#   - configMapRef:
#       name: locators-configs

# injectVolumeMounts: |-
#   - name: {{ .Chart.Name }}-tz
#     mountPath: /etc/localtime

# injectVolumes: |-
#   - name: {{ .Chart.Name }}-tz
#     hostPath:
#       path: /usr/share/zoneinfo/Asia/Kuwait
#       type: ""

extraPorts: []

securityContext:
  allowPrivilegeEscalation: false

livenessProbe: |-
  tcpSocket:
    port: http
  initialDelaySeconds: 20
  periodSeconds: 5
  timeoutSeconds: 5
  failureThreshold: 5
readinessProbe: |-
  tcpSocket:
    port: http
  initialDelaySeconds: 20
  periodSeconds: 5
  timeoutSeconds: 5
  failureThreshold: 5
startupProbe: |-
  tcpSocket:
    port: http
  initialDelaySeconds: 60
  periodSeconds: 5
  timeoutSeconds: 5
  failureThreshold: 35
############################################
############################################
############################################
propertyFiles: 
  - name: "files/{{ .Chart.Name }}.properties"

serviceMonitor:
  enabled: true

ingress:
  secretName: ""
  enabled: false
  host: "{{ .Chart.Name }}-{{ .Release.Name }}"

initJob:
  enabled: false

dbSecret:
  enabled: true

database:
  dbSchema: false
  username: ""
  password: ""

affinity:
  podAntiAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchExpressions:
            - key: app.kubernetes.io/name
              operator: In
              values:
                - "{{ .Chart.Name }}"
            - key: app.kubernetes.io/instance
              operator: In
              values:
                - "{{ .Release.Name }}"
        topologyKey: kubernetes.io/hostname

injectPodEnv: {}

